Esempio n. 1
0
 /// <summary>
 /// Constructor
 /// </summary>
 /// <param name="pathRein">selected path reinforcement element.</param>
 /// <param name="commandData">External command data</param>
 public Profile(Autodesk.Revit.DB.Structure.PathReinforcement pathRein, ExternalCommandData commandData)
 {
     m_pathRein    = pathRein;
     m_commandData = commandData;
     Tessellate();
     ComputeBound();
     ComputePathTo2D();
 }
Esempio n. 2
0
 /// <summary>
 /// Overload constructor
 /// </summary>
 /// <param name="pathRein">path reinforcement object</param>
 /// <param name="commandData">revit command data</param>
 public PathReinforcementForm(Autodesk.Revit.DB.Structure.PathReinforcement pathRein,
                              Autodesk.Revit.UI.ExternalCommandData commandData) : this()
 {
     m_pathRein   = pathRein;
     m_properties = new PathReinProperties(pathRein);
     m_properties.UpdateSelectObjEvent += new PathReinProperties.UpdateSelectObjEventHandler(UpdatePropSelectedObject);
     this.propertyGrid.SelectedObject   = m_properties;
     m_profile = new Profile(pathRein, commandData);
 }
Esempio n. 3
0
 /// <summary>
 /// Overload constructor
 /// </summary>
 /// <param name="pathRein">path reinforcement object</param>
 /// <param name="commandData">revit command data</param>
 public PathReinforcementForm(Autodesk.Revit.DB.Structure.PathReinforcement pathRein, 
                              Autodesk.Revit.UI.ExternalCommandData commandData )
     : this()
 {
     m_pathRein = pathRein;
     m_properties = new PathReinProperties(pathRein);
     m_properties.UpdateSelectObjEvent += new PathReinProperties.UpdateSelectObjEventHandler(UpdatePropSelectedObject);
     this.propertyGrid.SelectedObject = m_properties;
     m_profile = new Profile(pathRein, commandData);
 }
Esempio n. 4
0
 /// <summary>
 /// constructor of class
 /// </summary>
 /// <param name="pathRein"></param>
 public PathReinProperties(Autodesk.Revit.DB.Structure.PathReinforcement pathRein)
 {
     m_pathRein     = pathRein;
     m_layoutRule   = (LayoutRule)GetParameter("Layout Rule").AsInteger();
     m_face         = (Face)GetParameter("Face").AsInteger();
     m_numberOfBars = m_pathRein.get_Parameter(
         BuiltInParameter.PATH_REIN_NUMBER_OF_BARS).AsInteger();
     m_barSpacing = m_pathRein.get_Parameter(
         BuiltInParameter.PATH_REIN_SPACING).AsValueString();
     m_primaryBarLength = m_pathRein.get_Parameter(
         BuiltInParameter.PATH_REIN_LENGTH_1).AsValueString();
     m_primaryBarType = GetParameter("Primary Bar - Type").AsElementId();
 }
Esempio n. 5
0
 /// <summary>
 /// Constructor
 /// </summary>
 /// <param name="pathRein">selected path reinforcement element.</param>
 /// <param name="commandData">External command data</param>
 public Profile(Autodesk.Revit.DB.Structure.PathReinforcement pathRein, ExternalCommandData commandData)
 {
     m_pathRein = pathRein;
     m_commandData = commandData;
     Tessellate();
     ComputeBound();
     ComputePathTo2D();
 }
Esempio n. 6
0
 /// <summary>
 /// constructor of class
 /// </summary>
 /// <param name="pathRein"></param>
 public PathReinProperties(Autodesk.Revit.DB.Structure.PathReinforcement pathRein)
 {
     m_pathRein = pathRein;
     m_layoutRule = (LayoutRule)GetParameter("Layout Rule").AsInteger();
     m_face = (Face)GetParameter("Face").AsInteger();
     m_numberOfBars = m_pathRein.get_Parameter(
             BuiltInParameter.PATH_REIN_NUMBER_OF_BARS).AsInteger();
     m_barSpacing = m_pathRein.get_Parameter(
             BuiltInParameter.PATH_REIN_SPACING).AsValueString();
     m_primaryBarLength = m_pathRein.get_Parameter(
             BuiltInParameter.PATH_REIN_LENGTH_1).AsValueString();
     m_primaryBarType = GetParameter("Primary Bar - Type").AsElementId();
 }